#ifndef CLOEVIEWPAPER_H
#define CLOEVIEWPAPER_H

#include <QWidget>

namespace Ui {
class cloeViewPaper;
}

class cloeViewPaper : public QWidget
{
    Q_OBJECT
signals:
    void goback();
public:
    explicit cloeViewPaper(QString sPaper, QWidget *parent = nullptr);
    ~cloeViewPaper();

	void setCourseCodeAndName(QString sCode, QString sName);
private slots:
    void on_btn_clop_goback_clicked();

private:
    void initUI();
	void initPaper(QString sPaper);

    std::shared_ptr<QTimer> m_pServerTime;

    Ui::cloeViewPaper *ui;    
};

#endif // CLOEVIEWPAPER_H
